Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 21/12/2011, à 20:47

plandabourou

Problème avec Logithèque Ubuntu (résolu)

Bonsoir


Suite à un test de l'environnement Mate 
http://www.crowd42.info/installer-mate- … untu-11-10

et après avoir fait une dé-installation dudit environnement suivant une procédure que je pensais correcte, je me trouve dans l'impossibilité dans mon environnement Unity habituel d'avoir accés à la logithèque ou à ma configuration de dépôt lorsque je passe par synaptic.

J'ai dé-installé et ré-installlé software-center et quand je lance celui-ci en console, j'ai le message suivant :

Traceback (most recent call last):
  File "/usr/bin/software-center", line 149, in <module>
    from softwarecenter.ui.gtk3.app import SoftwareCenterAppGtk3
  File "/usr/share/software-center/softwarecenter/ui/gtk3/app.py", line 49, in <module>
    from softwarecenter.db.application import Application
  File "/usr/share/software-center/softwarecenter/db/application.py", line 25, in <module>
    from softwarecenter.backend.channel import is_channel_available
  File "/usr/share/software-center/softwarecenter/backend/channel.py", line 25, in <module>
    from softwarecenter.distro import get_distro
  File "/usr/share/software-center/softwarecenter/distro/__init__.py", line 165, in <module>
    distro_instance=_get_distro()
  File "/usr/share/software-center/softwarecenter/distro/__init__.py", line 148, in _get_distro
    module =  __import__(distro_id, globals(), locals(), [], -1)
ImportError: No module named LinuxMint

Il y a visiblement quelque chose de Mate qui est resté coincé quelque part !

Merci d'avance pour vos suggestions.

Dernière modification par plandabourou (Le 24/12/2011, à 12:35)


Ubuntu depuis Hardy Héron - Ubuntu Gnome 13.10 - Gnome 3.10 - Handy Linux

Hors ligne

#2 Le 22/12/2011, à 03:20

xabilon

Re : Problème avec Logithèque Ubuntu (résolu)

Salut

La "procédure qui t'a semblée correcte", c'était quoi exactement ?

ImportError: No module named LinuxMint

effectivement, il y a un truc qui va pas ... mélanger les dépôts de plusieurs distribs c'est pas une super idée non plus, peut-être que lors de la mise à jour, des paquets autres que ceux de Mate ont été mis à jour en version Mint plutôt qu'Ubuntu


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#3 Le 22/12/2011, à 13:19

plandabourou

Re : Problème avec Logithèque Ubuntu (résolu)

Salut Xabilon

Insomniaque ?

Procédure qui m'a semblé correcte c'était un sudo remove --purge  mint-meta-mate. (à savoir le contraire de ce que j'avais fait pour installer Mate)

Je vois bien en tout cas qu'il y a eu un mélange des genres entre les dépôts de Mint et de Ubuntu.
J'ai maintenant des trucs bizarre comme l'impossibilité de faire une mise à jour des paquets en passant par synaptic (le bouton à disparu !) et l'impossibilité aussi d'accéder à l'interface de gestion des mises à jour (qu'on obtenait par la commande dépôt dans le menu outil de synaptic).
Que me conseilles-tu ?

PS : c'est normal de se retrouver sur le forum Kubuntu ?

Dernière modification par plandabourou (Le 22/12/2011, à 13:36)


Ubuntu depuis Hardy Héron - Ubuntu Gnome 13.10 - Gnome 3.10 - Handy Linux

Hors ligne

#4 Le 22/12/2011, à 13:47

xabilon

Re : Problème avec Logithèque Ubuntu (résolu)

Un sudo apt-get autoremove mint-meta-mate aurait été plus approprié. Essaye :

sudo apt-get autoremove

Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#5 Le 22/12/2011, à 13:49

plandabourou

Re : Problème avec Logithèque Ubuntu (résolu)

J'ai comme réponse :

E: Impossible de trouver le paquet mint-meta-mate

Ce qui me semble assez normal.
N'y a-t-il pas moyen de recréer complètement une source list ?


Ubuntu depuis Hardy Héron - Ubuntu Gnome 13.10 - Gnome 3.10 - Handy Linux

Hors ligne

#6 Le 22/12/2011, à 13:56

xabilon

Re : Problème avec Logithèque Ubuntu (résolu)

Non, juste "sudo apt-get autoremove"
Il faut aussi que tu retires le dépôt mint de ton sources.list


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#7 Le 22/12/2011, à 14:03

plandabourou

Re : Problème avec Logithèque Ubuntu (résolu)

C'est Fait

 sudo apt-get autoremove
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Dans sources.list, je n'ai plus rien qui concerne mint.

ls -l /etc/apt/sources.list.d/
total 152
-rw-r--r-- 1 root root  65 2011-12-22 12:51 atareao-atareao-oneiric.list
-rw-r--r-- 1 root root  65 2011-12-14 18:42 atareao-atareao-oneiric.list.save
-rw-r--r-- 1 root root  84 2011-12-22 12:51 banshee-team-ppa-oneiric.list
-rw-r--r-- 1 root root  84 2011-12-14 18:42 banshee-team-ppa-oneiric.list.save
-rw-r--r-- 1 root root  72 2011-12-22 12:51 cardapio-team-unstable-oneiric.list
-rw-r--r-- 1 root root  72 2011-12-14 18:42 cardapio-team-unstable-oneiric.list.save
-rw-r--r-- 1 root root 109 2011-12-22 12:51 chromium-daily-stable-oneiric.list
-rw-r--r-- 1 root root 109 2011-12-14 18:42 chromium-daily-stable-oneiric.list.save
-rw-r--r-- 1 root root  63 2011-12-22 12:51 claudiocn-slm-oneiric.list
-rw-r--r-- 1 root root  63 2011-12-14 18:42 claudiocn-slm-oneiric.list.save
-rw-r--r-- 1 root root  64 2011-12-22 12:51 diesch-testing-oneiric.list
-rw-r--r-- 1 root root  64 2011-12-14 18:42 diesch-testing-oneiric.list.save
-rw-r--r-- 1 root root 100 2011-12-22 12:51 elementaryart-elementarydesktop-oneiric.list
-rw-r--r-- 1 root root 100 2011-12-14 18:42 elementaryart-elementarydesktop-oneiric.list.save
-rw-r--r-- 1 root root 175 2011-12-22 12:51 google-earth.list
-rw-r--r-- 1 root root 175 2011-12-14 18:42 google-earth.list.save
-rw-r--r-- 1 root root  82 2011-12-22 12:51 libreoffice-ppa-oneiric.list
-rw-r--r-- 1 root root  82 2011-12-14 18:42 libreoffice-ppa-oneiric.list.save
-rw-r--r-- 1 root root  78 2011-12-22 12:51 paullo612-unityshell-rotated-oneiric.list
-rw-r--r-- 1 root root  78 2011-12-14 18:42 paullo612-unityshell-rotated-oneiric.list.save
-rw-r--r-- 1 root root  70 2011-12-22 12:51 rye-ubuntuone-extras-oneiric.list
-rw-r--r-- 1 root root  70 2011-12-14 18:42 rye-ubuntuone-extras-oneiric.list.save
-rw-r--r-- 1 root root  91 2011-12-14 18:42 sevenmachines-flash-oneiric.list.save
-rw-r--r-- 1 root root  83 2011-12-22 12:51 tiheum-equinox-oneiric.list
-rw-r--r-- 1 root root  83 2011-12-14 18:42 tiheum-equinox-oneiric.list.save
-rw-r--r-- 1 root root   0 2011-12-14 18:41 tualatrix-next-oneiric.list
-rw-r--r-- 1 root root  64 2011-12-14 18:41 tualatrix-next-oneiric.list.save
-rw-r--r-- 1 root root  65 2011-12-22 12:51 tualatrix-ppa-oneiric.list
-rw-r--r-- 1 root root  65 2011-12-14 18:42 tualatrix-ppa-oneiric.list.save
-rw-r--r-- 1 root root 103 2011-12-14 18:42 ubuntu-tweak-testing-ppa-oneiric.list.save
-rw-r--r-- 1 root root  84 2011-12-22 12:51 ubuntu-x-swat-x-updates-oneiric.list
-rw-r--r-- 1 root root  84 2011-12-14 18:42 ubuntu-x-swat-x-updates-oneiric.list.save
-rw-r--r-- 1 root root  75 2011-12-22 12:51 unity-ppa-oneiric.list
-rw-r--r-- 1 root root  75 2011-12-14 18:42 unity-ppa-oneiric.list.save
-rw-r--r-- 1 root root  99 2011-12-22 12:51 weather-indicator-team-ppa-oneiric.list
-rw-r--r-- 1 root root  99 2011-12-14 18:42 weather-indicator-team-ppa-oneiric.list.save
-rw-r--r-- 1 root root  82 2011-12-22 12:51 webkit-team-ppa-oneiric.list
-rw-r--r-- 1 root root  82 2011-12-14 18:42 webkit-team-ppa-oneiric.list.save
-rw-r--r-- 1 root root 140 2011-11-13 16:59 webupd8team-gnome3-oneiric.list.save

Ubuntu depuis Hardy Héron - Ubuntu Gnome 13.10 - Gnome 3.10 - Handy Linux

Hors ligne

#8 Le 22/12/2011, à 16:15

xabilon

Re : Problème avec Logithèque Ubuntu (résolu)

Dis donc, t'es quand même fourni, en dépôts ...

Est-ce que quand tu as désinstallé le paquet mint-meta-mate, c'est le seul paquet qui a été désinstallé, ou est-ce que d'autres ont été désinstallés avec ?
Par ce qu'il est possible que ça n'aie désinstallé que le méta-paquet (qui est en fait un paquet vide qui installe tout le reste), et que Mate soit toujours là.
As-tu utilisé la logithèque ou Synaptic depuis Mate, et est-ce qu'elle fonctionnait ?

Edit : j'ai trouvé un sujet sur le forum de Mint (en anglais) : http://forums.linuxmint.com/viewtopic.php?f=47&t=50405
Apparemment, c'est pas le grand amour entre Mint et la logithèque Ubuntu.
Le sujet indique comment faire marcher la logithèque sur Mint, donc ça ne correspond pas exactement à ton problème, mais ça peut aider.
Donne le retour de la commande :

cat /etc/lsb-release

Dernière modification par xabilon (Le 22/12/2011, à 16:23)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#9 Le 22/12/2011, à 17:52

abelthorne

Re : Problème avec Logithèque Ubuntu (résolu)

Vu la gueule des messages d'erreur donnés au début, j'ai l'impression que c'est Python (ou une bibli Python utilisée par la Logithèque) qui a été mis à jour partiellement et qui fout le boxon.

Tu peux éventuellement faire une recherche sur "python" dans Synaptic et vérifier la version des paquets installés (pour voir s'ils viennent des dépôts Ubuntu, d'un PPA ou d'un dépôt désactivé). D'ailleurs, avant ça, tu peux regarder ce qu'il y a dans la catégorie "installés (locaux ou obsolètes)" de Synaptic. Ça peut aider à identifier des paquets qui viendraient d'un dépôt désactivé.

Hors ligne

#10 Le 22/12/2011, à 18:15

plandabourou

Re : Problème avec Logithèque Ubuntu (résolu)

Hop ! Me revoilà

cat /etc/lsb-release
DISTRIB_ID=LinuxMint
DISTRIB_RELEASE=12
DISTRIB_CODENAME=lisa
DISTRIB_DESCRIPTION="Linux Mint 12 Fluxbox"

Je pense que cela a le mérite d'être clair !

Est-ce que quand tu as désinstallé le paquet mint-meta-mate, c'est le seul paquet qui a été désinstallé, ou est-ce que d'autres ont été désinstallés avec ?

Normalement, oui...

As-tu utilisé la logithèque ou Synaptic depuis Mate

Non pour les deux.

Pour Abelthorne

Je vérifie et je poste.


Ubuntu depuis Hardy Héron - Ubuntu Gnome 13.10 - Gnome 3.10 - Handy Linux

Hors ligne

#11 Le 22/12/2011, à 18:20

plandabourou

Re : Problème avec Logithèque Ubuntu (résolu)

Pour Abelthorne

1324570726.png

Il y a effectivement plein de paquets Mint installés (à commencer par grub !)

Dernière modification par plandabourou (Le 22/12/2011, à 18:20)


Ubuntu depuis Hardy Héron - Ubuntu Gnome 13.10 - Gnome 3.10 - Handy Linux

Hors ligne

#12 Le 22/12/2011, à 18:35

plandabourou

Re : Problème avec Logithèque Ubuntu (résolu)

Pour xabilon

j'ai consulté le forum Mint anglais que tu m'indiques. Avec le traducteur de Google, c'est largement compréhensible.
J'ai ouvert le ficher /etc/lsb-release comme indiqué et trouvé l'endroit où faire la modification.
Dois-je tenter ou non ou attendre une autre suggestion ?


Ubuntu depuis Hardy Héron - Ubuntu Gnome 13.10 - Gnome 3.10 - Handy Linux

Hors ligne

#13 Le 22/12/2011, à 18:40

xabilon

Re : Problème avec Logithèque Ubuntu (résolu)

Je crois que ça t'a mis une belle merde dans ton système. Plein de paquets Ubuntu se retrouvent en version Mint. Est-ce que ce sont les mêmes paquets ou est-ce qu'ils ont été modifiés par Mint ? Aucune idée sad

Tout essayer de remettre en version Ubuntu, ça va être compliqué, et ça risque de mettre encore plus le boxon. Comme suggère abelthorne, il vaudrait mieux se limiter aux libs Python qui ont pu être upgradées en version Mint
As-tu des paquets *python* notés comme venant de mint ?


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#14 Le 22/12/2011, à 18:48

plandabourou

Re : Problème avec Logithèque Ubuntu (résolu)

Comme visible sur l'image d'écran envoyée au post 11, il n'y a que l'avant dernière ligne : python-launchpad-integration.

A part le problème de la logithèque et de l'accès à la configuration des dépôts, mon système est stable et fonctionne normalement.

Tous les paquets venant de mint :

1324572731.png

Dernière modification par plandabourou (Le 22/12/2011, à 21:45)


Ubuntu depuis Hardy Héron - Ubuntu Gnome 13.10 - Gnome 3.10 - Handy Linux

Hors ligne

#15 Le 23/12/2011, à 21:17

xabilon

Re : Problème avec Logithèque Ubuntu (résolu)

Tu peux déjà remplacer le contenu de /etc/lsb-release par :

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=11.10
DISTRIB_CODENAME=oneiric
DISTRIB_DESCRIPTION="Ubuntu 11.10"

et re-essayer


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#16 Le 23/12/2011, à 22:34

J5012

Re : Problème avec Logithèque Ubuntu (résolu)

-d'abord desactiver les depot mint
-ensuite activer l'option synaptic permettant de forcer la version ubuntu
-refresh depot
-reinstall

Hors ligne

#17 Le 24/12/2011, à 12:35

plandabourou

Re : Problème avec Logithèque Ubuntu (résolu)

Bonjour

Pour @J5012

d'abord desactiver les depot mint

C'est fait

ensuite activer l'option synaptic permettant de forcer la version ubuntu

C'est fait pour certains paquets, pour d'autres, le nombre de paquets en corrélation avec ceux concernés qu'il fallait dé-installer m'a arrêté. Comme mon système tourne quand même, je les ai gardés.

refresh depot

Fait aussi

reinstall

Comme le système tourne correctement mis à part mes soucis de logithèque, j'attendrai la 12.04 pour le faire.

Pour @Xabilon

J'ai appliqué le changement dans le fichier.
J'ai ré-installé la Logithèque qui maintenant fonctionne.
J'ai quand même un message d'erreur quand je la lance en console :

2011-12-24 11:25:14,654 - softwarecenter.ui.gtk3.em - INFO - EM's: 17 15 21
2011-12-24 11:25:16,131 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2011-12-24 11:25:16,272 - softwarecenter.ui.gtk3.utils - INFO - Softwarecenter style provider for radiance Gtk theme: /usr/share/software-center/ui/gtk3/css/softwarecenter.css
2011-12-24 11:25:27,361 - softwarecenter.ui.gtk3.app - INFO - software-center-agent finished with status 0
Erreur de segmentation

Mais, je répète, elle fonctionne.
Merci pour votre aide et bon Noël à tous.
Je passe le sujet en résolu mais si quelqu'un veut encore faire un commentaire sur le message de la console, je suis preneur.


Ubuntu depuis Hardy Héron - Ubuntu Gnome 13.10 - Gnome 3.10 - Handy Linux

Hors ligne

#18 Le 26/12/2011, à 12:03

J5012

Re : Problème avec Logithèque Ubuntu (résolu)

je te conseille de regler les problemes de compatibilite avant la migration en 12.04 qui change bcp de choses ...

Hors ligne

#19 Le 26/12/2011, à 12:57

plandabourou

Re : Problème avec Logithèque Ubuntu (résolu)

Bonjour

Je ferai une ré-installation complète, home et système, pour éviter tous les problèmes que posent les configurations qui restent présentent dans le home.


Ubuntu depuis Hardy Héron - Ubuntu Gnome 13.10 - Gnome 3.10 - Handy Linux

Hors ligne

Haut de page ↑